#
# spec file for package ghc-tagsoup
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name tagsoup

Name:           ghc-tagsoup
Version:        0.13.10
Release:        1.2
Summary:        Parsing and extracting information from (possibly malformed) HTML/XML documents
License:        BSD-3-Clause
Group:          System/Libraries

Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-text-devel
# End cabal-rpm deps

%description
TagSoup is a library for parsing HTML/XML. It supports the HTML 5
specification, and can be used to parse either well-formed XML, or unstructured
and malformed HTML from the web. The library also provides useful functions to
extract information from an HTML document, making it ideal for screen-scraping.

Users should start from the "Text.HTML.TagSoup" module.


%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc README.md

%changelog
* Sat May  7 2016 mimi.vx@gmail.com
- update to 0.13.10
  * improve the Haddock documentation
  * fix some > 16bit HTML entities
* Wed Mar 16 2016 mimi.vx@gmail.com
- update to 0.13.9
  * fix a space leak
  * fix the demo examples
  * make IsString a superclass of StringLike
  * make flattenTree O(n) instead of O(n^2)
* Mon Jan 11 2016 mimi.vx@gmail.com
- update to 0.13.8
  * add parse/render functions directly to the Tree module
* Sun Jan 10 2016 mimi.vx@gmail.com
- update to 0.13.7
  * make sure upper case &#X works in lookupEntity
* Thu Dec 24 2015 mimi.vx@gmail.com
- update to 0.13.6
  * some named entities require a trailing semicolon (e.g. mid)
* Wed Nov  4 2015 mimi.vx@gmail.com
- update to 0.13.5
  * add isTagComment function
* Thu Apr 23 2015 mimi.vx@gmail.com
- update to 0.13.3
  * #562, treat <script> specially as per HTML5
  * #616, extend to all HTML5 entities
  * Optimise lookupNamedEntity
  * Replace escapeXMLChar with escapeXML
  * Change all Entity functions to return String, not Int or Char
* Mon Oct 21 2013 sbahling@suse.com
- spec file: Add %%defattr(-,root,root,-) to %%files devel section
* Tue May 14 2013 peter.trommler@ohm-hochschule.de
- new cabal-rpm spec file template
  * no macros spanning multiple spec file sections
* Wed Oct  3 2012 peter.trommler@ohm-hochschule.de
- update to 0.12.8 from upstream (no changelog)
* Thu Jun  7 2012 peter.trommler@ohm-hochschule.de
- cabal2spec 0.25.5 spec file template
* Fri Jan 20 2012 herbert@graeber-clan.de
- initial packaging for Fedora automatically generated by cabal2spec-0.24.1
